USN-4320-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-4320-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-4320-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-4320-1
Related
  • CVE-2020-8428
Published
2020-04-06T20:15:52.798717Z
Modified
2020-04-06T20:15:52.798717Z
Summary
linux, linux-aws, linux-kvm, linux-raspi2, linux-snapdragon vulnerability
Details

Al Viro discovered that the vfs layer in the Linux kernel contained a use- after-free vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly expose sensitive information (kernel memory).

References

Affected packages

Ubuntu:Pro:14.04:LTS / linux-lts-xenial

Package

Name
linux-lts-xenial

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.4.0-177.207~14.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-image-4.4.0-177-generic-lpae": "4.4.0-177.207~14.04.1",
            "linux-image-4.4.0-177-powerpc64-emb": "4.4.0-177.207~14.04.1",
            "linux-image-4.4.0-177-powerpc-smp": "4.4.0-177.207~14.04.1",
            "linux-image-powerpc64-smp-lts-xenial": "4.4.0.177.156",
            "linux-image-virtual-lts-xenial": "4.4.0.177.156",
            "linux-image-4.4.0-177-powerpc64-smp": "4.4.0-177.207~14.04.1",
            "linux-image-4.4.0-177-generic": "4.4.0-177.207~14.04.1",
            "linux-image-lowlatency-lts-xenial": "4.4.0.177.156",
            "linux-image-generic-lts-xenial": "4.4.0.177.156",
            "linux-image-powerpc64-emb-lts-xenial": "4.4.0.177.156",
            "linux-image-powerpc-e500mc-lts-xenial": "4.4.0.177.156",
            "linux-image-powerpc-smp-lts-xenial": "4.4.0.177.156",
            "linux-image-generic-lpae-lts-xenial": "4.4.0.177.156",
            "linux-image-4.4.0-177-lowlatency": "4.4.0-177.207~14.04.1",
            "linux-image-4.4.0-177-powerpc-e500mc": "4.4.0-177.207~14.04.1"
        }
    ]
}

Ubuntu:Pro:14.04:LTS / linux-aws

Package

Name
linux-aws

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.4.0-1065.69

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-image-aws": "4.4.0.1065.66",
            "linux-image-4.4.0-1065-aws": "4.4.0-1065.69"
        }
    ]
}

Ubuntu:16.04:LTS / linux-raspi2

Package

Name
linux-raspi2

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.4.0-1131.140

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-raspi2": "4.4.0.1131.131",
            "linux-image-4.4.0-1131-raspi2": "4.4.0-1131.140"
        }
    ]
}

Ubuntu:16.04:LTS / linux

Package

Name
linux

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.4.0-177.207

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-lowlatency-lts-vivid": "4.4.0.177.185",
            "linux-image-virtual-lts-vivid": "4.4.0.177.185",
            "linux-image-powerpc64-emb": "4.4.0.177.185",
            "linux-image-4.4.0-177-powerpc64-emb": "4.4.0-177.207",
            "linux-image-lowlatency-lts-wily": "4.4.0.177.185",
            "linux-image-powerpc-e500mc-lts-utopic": "4.4.0.177.185",
            "linux-image-powerpc-smp-lts-wily": "4.4.0.177.185",
            "linux-image-generic-lpae-lts-vivid": "4.4.0.177.185",
            "linux-image-virtual-lts-utopic": "4.4.0.177.185",
            "linux-image-4.4.0-177-generic": "4.4.0-177.207",
            "linux-image-powerpc64-emb-lts-utopic": "4.4.0.177.185",
            "linux-image-powerpc64-smp-lts-wily": "4.4.0.177.185",
            "linux-image-4.4.0-177-powerpc64-smp": "4.4.0-177.207",
            "linux-image-powerpc-smp-lts-utopic": "4.4.0.177.185",
            "linux-image-virtual-lts-xenial": "4.4.0.177.185",
            "linux-image-powerpc-e500mc-lts-wily": "4.4.0.177.185",
            "linux-image-powerpc-smp-lts-vivid": "4.4.0.177.185",
            "linux-image-powerpc64-emb-lts-vivid": "4.4.0.177.185",
            "linux-image-powerpc64-smp-lts-xenial": "4.4.0.177.185",
            "linux-image-powerpc64-smp": "4.4.0.177.185",
            "linux-image-generic-lts-xenial": "4.4.0.177.185",
            "linux-image-lowlatency": "4.4.0.177.185",
            "linux-image-powerpc-e500mc-lts-xenial": "4.4.0.177.185",
            "linux-image-powerpc-smp-lts-xenial": "4.4.0.177.185",
            "linux-image-virtual": "4.4.0.177.185",
            "linux-image-4.4.0-177-lowlatency": "4.4.0-177.207",
            "linux-image-powerpc64-emb-lts-wily": "4.4.0.177.185",
            "linux-image-generic-lts-utopic": "4.4.0.177.185",
            "linux-image-powerpc64-smp-lts-utopic": "4.4.0.177.185",
            "linux-image-generic-lts-vivid": "4.4.0.177.185",
            "linux-image-4.4.0-177-generic-lpae": "4.4.0-177.207",
            "linux-image-powerpc-e500mc": "4.4.0.177.185",
            "linux-image-generic-lpae-lts-utopic": "4.4.0.177.185",
            "linux-image-powerpc64-smp-lts-vivid": "4.4.0.177.185",
            "linux-image-generic-lpae-lts-xenial": "4.4.0.177.185",
            "linux-image-powerpc-e500mc-lts-vivid": "4.4.0.177.185",
            "linux-image-4.4.0-177-powerpc-smp": "4.4.0-177.207",
            "linux-image-virtual-lts-wily": "4.4.0.177.185",
            "linux-image-lowlatency-lts-xenial": "4.4.0.177.185",
            "linux-image-generic-lpae-lts-wily": "4.4.0.177.185",
            "linux-image-lowlatency-lts-utopic": "4.4.0.177.185",
            "linux-image-powerpc64-emb-lts-xenial": "4.4.0.177.185",
            "linux-image-generic-lts-wily": "4.4.0.177.185",
            "linux-image-powerpc-smp": "4.4.0.177.185",
            "linux-image-generic": "4.4.0.177.185",
            "linux-image-4.4.0-177-powerpc-e500mc": "4.4.0-177.207",
            "linux-image-generic-lpae": "4.4.0.177.185"
        }
    ]
}

Ubuntu:16.04:LTS / linux-kvm

Package

Name
linux-kvm

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.4.0-1069.76

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.4.0-1069-kvm": "4.4.0-1069.76",
            "linux-image-kvm": "4.4.0.1069.69"
        }
    ]
}

Ubuntu:16.04:LTS / linux-snapdragon

Package

Name
linux-snapdragon

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.4.0-1135.143

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-snapdragon": "4.4.0.1135.127",
            "linux-image-4.4.0-1135-snapdragon": "4.4.0-1135.143"
        }
    ]
}

Ubuntu:16.04:LTS / linux-aws

Package

Name
linux-aws

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.4.0-1105.116

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-aws": "4.4.0.1105.109",
            "linux-image-4.4.0-1105-aws": "4.4.0-1105.116"
        }
    ]
}